### Hierarchy

- Cipher

### Implemented by

- NodeCryptoCipher
- WebCryptoCipher

## Index

### Methods

- decrypt
- encrypt

## Methods

### decrypt

- decrypt(algorithm: CipherAlgorithm, key: NodeJS.TypedArray, iv: NodeJS.TypedArray, data: NodeJS.TypedArray): Promise<Buffer>

- - Defined in encryption/aesCipher.ts:15

  #### Parameters

  - ##### algorithm: CipherAlgorithm

  - ##### key: NodeJS.TypedArray

  - ##### iv: NodeJS.TypedArray

  - ##### data: NodeJS.TypedArray

  #### Returns Promise<Buffer>

### encrypt

- encrypt(algorithm: CipherAlgorithm, key: NodeJS.TypedArray, iv: NodeJS.TypedArray, data: NodeJS.TypedArray): Promise<Buffer>

- - Defined in encryption/aesCipher.ts:9

  #### Parameters

  - ##### algorithm: CipherAlgorithm

  - ##### key: NodeJS.TypedArray

  - ##### iv: NodeJS.TypedArray

  - ##### data: NodeJS.TypedArray

  #### Returns Promise<Buffer>

Generated using TypeDoc